#!/bin/bash

#Use ffprobe to find .mkv files with h264 encoding:

ffBin="/usr/bin/"
parentDir=$1
while read -r line;
do
 codec="$( $ffBin/ffprobe -loglevel error -select_streams v:0 -show_entries \
        stream=codec_name -of default=noprint_wrappers=1:nokey=1 "$line" )"
  if [[ $codec == *"264"* ]]
  then
    echo "$line" >>/tmp/transcode/list.txt
  fi
done<<<"$( find "$parentDir" -name "*.mkv" -print )"
